require_relative '../test_helper'
require_relative '../resource_test'

module OrdinoSDK
  class EntryTest < ResourceTest
    test_resource(Entry, '/entries')

    def test_user_calls_sdk
      entry = Entry.new(user_id: 2)
      OrdinoSDK::User.expects(:find).with(2)
      entry.user
    end

    def test_resource_calls_sdk
      entry = Entry.new(resource_id: 2, resource_type: "WebPage")
      OrdinoSDK::WebPage.expects(:find).with(2)
      entry.resource
    end
  end
end
